org.apache.olingo.odata2.client.api.ep

## Interface ContentTypeBasedDeserializer

- All Known Implementing Classes:
    AtomSerializerDeserializer, JsonSerializerDeserializer

      public interface ContentTypeBasedDeserializer

  Interface for all none basic (content type dependent) deserializer methods.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataEntry` | `readEntry(EdmEntitySet entitySet, EntityStream content)` Returns an ODataEntry
    `ODataErrorContext` | `readErrorDocument(InputStream errorDocument)` Read (de-serialize) data from error document as `InputStream` and provide according `ODataErrorContext`.
    `ODataFeed` | `readFeed(EdmEntitySet entitySet, EntityStream content)` Returns an ODataFeed
    `Object` | `readFunctionImport(EdmFunctionImport functionImport, EntityStream content)` Returns an object
    `ODataResponse` | `writeBatchResponse(List<BatchResponsePart> batchResponseParts)` Returns an ODataResponse

- - ### Method Detail

    - #### readFeed

          ODataFeed readFeed(EdmEntitySet entitySet,
                             EntityStream content)
                      throws EntityProviderException

      Returns an ODataFeed
      Parameters:
        `entitySet` -
        `content` -
      Returns:
        ODataFeed
      Throws:
        `EntityProviderException`

    - #### readEntry

          ODataEntry readEntry(EdmEntitySet entitySet,
                               EntityStream content)
                        throws EntityProviderException

      Returns an ODataEntry
      Parameters:
        `entitySet` -
        `content` -
      Returns:
        ODataEntry
      Throws:
        `EntityProviderException`

    - #### readErrorDocument

          ODataErrorContext readErrorDocument(InputStream errorDocument)
                                       throws EntityProviderException

      Read (de-serialize) data from error document as `InputStream` and provide according `ODataErrorContext`.
      Parameters:
        `errorDocument` - error document which is read
        `contentType` - format of content in the given input stream
      Returns:
        read error document
      Throws:
        `EntityProviderException` - if reading of data (de-serialization) fails

    - #### writeBatchResponse

          ODataResponse writeBatchResponse(List<BatchResponsePart> batchResponseParts)
                                    throws BatchException

      Returns an ODataResponse
      Parameters:
        `batchResponseParts` -
      Returns:
        ODataResponse
      Throws:
        `BatchException`

    - #### readFunctionImport

          Object readFunctionImport(EdmFunctionImport functionImport,
                                    EntityStream content)
                             throws EntityProviderException

      Returns an object
      Parameters:
        `functionImport` -
        `content` -
      Returns:
      Throws:
        `EntityProviderException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.